org.icefaces.ace.component.datatable

## Class DataTableConstants

- java.lang.Object
- - org.icefaces.ace.component.datatable.DataTableConstants

-     public class DataTableConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CELL_EDITOR_CLASS`
    `static java.lang.String` | `CELL_EDITOR_INPUT_CLASS`
    `static java.lang.String` | `CELL_EDITOR_OUTPUT_CLASS`
    `static java.lang.String` | `COLUMN_FILTER_CLASS`
    `static java.lang.String` | `COLUMN_FOOTER_CLASS`
    `static java.lang.String` | `COLUMN_FOOTER_CONTAINER_CLASS`
    `static java.lang.String` | `COLUMN_HEADER_CLASS`
    `static java.lang.String` | `COLUMN_HEADER_CONTAINER_CLASS`
    `static java.lang.String` | `COLUMN_RESIZER_CLASS`
    `static java.lang.String` | `CONDITIONAL_ROW_CLASS`
    `static java.lang.String` | `CONTAINER_CLASS`
    `static java.lang.String` | `DATA_CLASS`
    `static java.lang.String` | `EDITABLE_COLUMN_CLASS`
    `static java.lang.String` | `EMPTY_DATA_CLASS`
    `static java.lang.String` | `EVEN_ROW_CLASS`
    `static java.lang.String` | `EXPANDED_ROW_CLASS`
    `static java.lang.String` | `EXPANDED_ROW_CONTENT_CLASS`
    `static java.lang.String` | `FOOTER_CLASS`
    `static java.lang.String` | `HEAD_TEXT_CLASS`
    `static java.lang.String` | `HEADER_CLASS`
    `static java.lang.String` | `HEADER_LEFT_CLASS`
    `static java.lang.String` | `HEADER_RIGHT_CLASS`
    `static java.lang.String` | `ODD_ROW_CLASS`
    `static java.lang.String` | `PIN_COLUMN_CONTROL_CLASS`
    `static java.lang.String` | `REORDERABLE_COL_CLASS`
    `static java.lang.String` | `ROW_CLASS`
    `static java.lang.String` | `ROW_EDITOR_CLASS`
    `static java.lang.String` | `ROW_PANEL_TOGGLER_CLASS`
    `static java.lang.String` | `ROW_TOGGLER_CLASS`
    `static java.lang.String` | `ROW_TOGGLER_CONTAINER`
    `static java.lang.String` | `ROW_TOGGLER_SPAN`
    `static java.lang.String` | `SCROLLABLE_BODY_CLASS`
    `static java.lang.String` | `SCROLLABLE_CONTAINER_CLASS`
    `static java.lang.String` | `SCROLLABLE_FOOTER_CLASS`
    `static java.lang.String` | `SCROLLABLE_HEADER_CLASS`
    `static java.lang.String` | `SCROLLABLE_X_CLASS`
    `static java.lang.String` | `SORTABLE_COLUMN_CLASS`
    `static java.lang.String` | `SORTABLE_COLUMN_CONTROL_CLASS`
    `static java.lang.String` | `SORTABLE_COLUMN_ICON_CONTAINER`
    `static java.lang.String` | `SORTABLE_COLUMN_ICON_DOWN_CLASS`
    `static java.lang.String` | `SORTABLE_COLUMN_ICON_UP_CLASS`
    `static java.lang.String` | `SORTABLE_COLUMN_ORDER_CLASS`
    `static java.lang.String` | `UNSELECTABLE_ROW_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTAINER_CLASS

          public static final java.lang.String CONTAINER_CLASS

      See Also:
        Constant Field Values

    - #### COLUMN_HEADER_CLASS

          public static final java.lang.String COLUMN_HEADER_CLASS

      See Also:
        Constant Field Values

    - #### COLUMN_HEADER_CONTAINER_CLASS

          public static final java.lang.String COLUMN_HEADER_CONTAINER_CLASS

      See Also:
        Constant Field Values

    - #### COLUMN_FOOTER_CLASS

          public static final java.lang.String COLUMN_FOOTER_CLASS

      See Also:
        Constant Field Values

    - #### COLUMN_FOOTER_CONTAINER_CLASS

          public static final java.lang.String COLUMN_FOOTER_CONTAINER_CLASS

      See Also:
        Constant Field Values

    - #### DATA_CLASS

          public static final java.lang.String DATA_CLASS

      See Also:
        Constant Field Values

    - #### EMPTY_DATA_CLASS

          public static final java.lang.String EMPTY_DATA_CLASS

      See Also:
        Constant Field Values

    - #### ROW_CLASS

          public static final java.lang.String ROW_CLASS

      See Also:
        Constant Field Values

    - #### HEADER_CLASS

          public static final java.lang.String HEADER_CLASS

      See Also:
        Constant Field Values

    - #### HEADER_RIGHT_CLASS

          public static final java.lang.String HEADER_RIGHT_CLASS

      See Also:
        Constant Field Values

    - #### HEADER_LEFT_CLASS

          public static final java.lang.String HEADER_LEFT_CLASS

      See Also:
        Constant Field Values

    - #### FOOTER_CLASS

          public static final java.lang.String FOOTER_CLASS

      See Also:
        Constant Field Values

    - #### HEAD_TEXT_CLASS

          public static final java.lang.String HEAD_TEXT_CLASS

      See Also:
        Constant Field Values

    - #### PIN_COLUMN_CONTROL_CLASS

          public static final java.lang.String PIN_COLUMN_CONTROL_CLASS

      See Also:
        Constant Field Values

    - #### SORTABLE_COLUMN_CLASS

          public static final java.lang.String SORTABLE_COLUMN_CLASS

      See Also:
        Constant Field Values

    - #### SORTABLE_COLUMN_CONTROL_CLASS

          public static final java.lang.String SORTABLE_COLUMN_CONTROL_CLASS

      See Also:
        Constant Field Values

    - #### SORTABLE_COLUMN_ICON_CONTAINER

          public static final java.lang.String SORTABLE_COLUMN_ICON_CONTAINER

      See Also:
        Constant Field Values

    - #### SORTABLE_COLUMN_ICON_UP_CLASS

          public static final java.lang.String SORTABLE_COLUMN_ICON_UP_CLASS

      See Also:
        Constant Field Values

    - #### SORTABLE_COLUMN_ICON_DOWN_CLASS

          public static final java.lang.String SORTABLE_COLUMN_ICON_DOWN_CLASS

      See Also:
        Constant Field Values

    - #### SORTABLE_COLUMN_ORDER_CLASS

          public static final java.lang.String SORTABLE_COLUMN_ORDER_CLASS

      See Also:
        Constant Field Values

    - #### COLUMN_FILTER_CLASS

          public static final java.lang.String COLUMN_FILTER_CLASS

      See Also:
        Constant Field Values

    - #### UNSELECTABLE_ROW_CLASS

          public static final java.lang.String UNSELECTABLE_ROW_CLASS

      See Also:
        Constant Field Values

    - #### REORDERABLE_COL_CLASS

          public static final java.lang.String REORDERABLE_COL_CLASS

      See Also:
        Constant Field Values

    - #### EXPANDED_ROW_CLASS

          public static final java.lang.String EXPANDED_ROW_CLASS

      See Also:
        Constant Field Values

    - #### EXPANDED_ROW_CONTENT_CLASS

          public static final java.lang.String EXPANDED_ROW_CONTENT_CLASS

      See Also:
        Constant Field Values

    - #### ROW_PANEL_TOGGLER_CLASS

          public static final java.lang.String ROW_PANEL_TOGGLER_CLASS

      See Also:
        Constant Field Values

    - #### ROW_TOGGLER_CLASS

          public static final java.lang.String ROW_TOGGLER_CLASS

      See Also:
        Constant Field Values

    - #### ROW_TOGGLER_SPAN

          public static final java.lang.String ROW_TOGGLER_SPAN

      See Also:
        Constant Field Values

    - #### ROW_TOGGLER_CONTAINER

          public static final java.lang.String ROW_TOGGLER_CONTAINER

      See Also:
        Constant Field Values

    - #### EDITABLE_COLUMN_CLASS

          public static final java.lang.String EDITABLE_COLUMN_CLASS

      See Also:
        Constant Field Values

    - #### CELL_EDITOR_CLASS

          public static final java.lang.String CELL_EDITOR_CLASS

      See Also:
        Constant Field Values

    - #### CELL_EDITOR_INPUT_CLASS

          public static final java.lang.String CELL_EDITOR_INPUT_CLASS

      See Also:
        Constant Field Values

    - #### CELL_EDITOR_OUTPUT_CLASS

          public static final java.lang.String CELL_EDITOR_OUTPUT_CLASS

      See Also:
        Constant Field Values

    - #### ROW_EDITOR_CLASS

          public static final java.lang.String ROW_EDITOR_CLASS

      See Also:
        Constant Field Values

    - #### EVEN_ROW_CLASS

          public static final java.lang.String EVEN_ROW_CLASS

      See Also:
        Constant Field Values

    - #### ODD_ROW_CLASS

          public static final java.lang.String ODD_ROW_CLASS

      See Also:
        Constant Field Values

    - #### SCROLLABLE_X_CLASS

          public static final java.lang.String SCROLLABLE_X_CLASS

      See Also:
        Constant Field Values

    - #### SCROLLABLE_CONTAINER_CLASS

          public static final java.lang.String SCROLLABLE_CONTAINER_CLASS

      See Also:
        Constant Field Values

    - #### SCROLLABLE_HEADER_CLASS

          public static final java.lang.String SCROLLABLE_HEADER_CLASS

      See Also:
        Constant Field Values

    - #### SCROLLABLE_BODY_CLASS

          public static final java.lang.String SCROLLABLE_BODY_CLASS

      See Also:
        Constant Field Values

    - #### SCROLLABLE_FOOTER_CLASS

          public static final java.lang.String SCROLLABLE_FOOTER_CLASS

      See Also:
        Constant Field Values

    - #### COLUMN_RESIZER_CLASS

          public static final java.lang.String COLUMN_RESIZER_CLASS

      See Also:
        Constant Field Values

    - #### CONDITIONAL_ROW_CLASS

          public static final java.lang.String CONDITIONAL_ROW_CLASS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataTableConstants

          public DataTableConstants()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.